| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IOptimizer Interface Reference

Interface for optimization algorithms. $A Igor Feb10;. More...

Inheritance diagram for IG::Num::IOptimizer:
[legend]
Collaboration diagram for IG::Num::IOptimizer:
[legend]

List of all members.

## Public Member Functions
void | Optimize ()
| Performs optimization using initial data and problem definition contained in this object.
## Properties
bool | CopyReferences`[get, set]`
| Indicates whether just references can be copied when setting optimization parameters or results or auxiliary data. If false then deep copy is always be performed. Default is false.
int | NumParameters`[get]`
| Number of parameters.
int | NumObjectives`[get]`
| Number of objective functions (normally 1 for this type, but can be 0).
int | NumConstraints`[get]`
| Number of constraints.
int | NumEqualityConstraints`[get]`
| Number of equality constraints.
IAnalysis | Analysis`[get, set]`
| Definition of the direct problem (direct analysis that calculates the response functions).
IVector | InitialGuess`[get, set]`
| Gets or sets initial guess used in optimization.
IVector | InitialStep`[get, set]`
| Gets or sets initial step used in optimization.
double | Tolerance`[get, set]`
| Gets or sets the main tolerance (its exact meaning depends on the algorithm in use).
int | MaxIterations`[get, set]`
| Gets or sets maximal number of iterations.
int | MaxAnalyses`[get, set]`
| Gets or sets maximal number of analyses.
IAnalysisResults | Results`[get]`
| Optimization results.
bool | KeepCurrentGuess`[get]`
| Whether current guess is kept or not.
IAnalysisResults | CurrentGuess`[get]`
| Results of the current guess (usually last analysis that has been performed).
bool | KeepBestGuess`[get]`
| Whether best results are kept or not.
IAnalysisResults | BestGuess`[get]`
| The best results so far.

## Detailed Description

Interface for optimization algorithms. $A Igor Feb10;.

## Member Function Documentation

void IG::Num::IOptimizer::Optimize | ( |  | ) |

Performs optimization using initial data and problem definition contained in this object.

Implemented in IG::Num::OptimizerBase.

## Property Documentation

bool IG::Num::IOptimizer::CopyReferences`[get, set]`

Indicates whether just references can be copied when setting optimization parameters or results or auxiliary data. If false then deep copy is always be performed. Default is false.

Implemented in IG::Num::OptimizerBase.

int IG::Num::IOptimizer::NumParameters`[get]`

Number of parameters.

Implemented in IG::Num::OptimizerBase.

int IG::Num::IOptimizer::NumObjectives`[get]`

Number of objective functions (normally 1 for this type, but can be 0).

Implemented in IG::Num::OptimizerBase.

int IG::Num::IOptimizer::NumConstraints`[get]`

Number of constraints.

Implemented in IG::Num::OptimizerBase.

int IG::Num::IOptimizer::NumEqualityConstraints`[get]`

Number of equality constraints.

Implemented in IG::Num::OptimizerBase.

IAnalysis IG::Num::IOptimizer::Analysis`[get, set]`

Definition of the direct problem (direct analysis that calculates the response functions).

Implemented in IG::Num::OptimizerBase.

IVector IG::Num::IOptimizer::InitialGuess`[get, set]`

Gets or sets initial guess used in optimization.

Implemented in IG::Num::OptimizerBase.

IVector IG::Num::IOptimizer::InitialStep`[get, set]`

Gets or sets initial step used in optimization.

Implemented in IG::Num::OptimizerBase.

double IG::Num::IOptimizer::Tolerance`[get, set]`

Gets or sets the main tolerance (its exact meaning depends on the algorithm in use).

Implemented in IG::Num::OptimizerBase.

int IG::Num::IOptimizer::MaxIterations`[get, set]`

Gets or sets maximal number of iterations.

Implemented in IG::Num::OptimizerBase.

int IG::Num::IOptimizer::MaxAnalyses`[get, set]`

Gets or sets maximal number of analyses.

Implemented in IG::Num::OptimizerBase.

IAnalysisResults IG::Num::IOptimizer::Results`[get]`

Optimization results.

Implemented in IG::Num::OptimizerBase.

bool IG::Num::IOptimizer::KeepCurrentGuess`[get]`

Whether current guess is kept or not.

Implemented in IG::Num::OptimizerBase.

IAnalysisResults IG::Num::IOptimizer::CurrentGuess`[get]`

Results of the current guess (usually last analysis that has been performed).

Implemented in IG::Num::OptimizerBase.

bool IG::Num::IOptimizer::KeepBestGuess`[get]`

Whether best results are kept or not.

Implemented in IG::Num::OptimizerBase.

IAnalysisResults IG::Num::IOptimizer::BestGuess`[get]`

The best results so far.

Implemented in IG::Num::OptimizerBase.

The documentation for this interface was generated from the following file:

- Optimizer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events